Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Changes between Version 2 and Version 3 of 2.0/announcement


Ignore:
Timestamp:
01/20/09 16:46:31 (10 years ago)
Author:
mramm
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • 2.0/announcement

    v2 v3  
     1I'm very excited to announce the next TG2 beta release.   And yes, it is a beta.   
    12 
     3In light of all the fantastic new stuff that got added in our last sprint, we've decided to release this version as beta 3.    
    24 
    3  
    4 In light of all the fantastic new stuff that got added in our last sprint, we've decided to release this version as beta 3.   Next week we will have beta 4 or Release Candidate 1, depending on how some of these new features are received. 
     5Next week we will have beta 4 because I expect there may be some remaining kinks to be ironed out in this release, depending on how some of these new features are received. 
    56 
    67New in this release:   
    78 
     9* Brand new "mimetype" style system for requesting a particular response type.   Now you can have links to index.html (for html) and index.pdf (for pdf), etc.  
     10* Brand new REST style controller that makes dispatching on GET, POST, etc much easier.  
     11* Brand new tgext.crud app to help with making restful crud interfaces easier 
     12* Brand new WSGIAppController to make mounting WSGI apps inside TG even easier.  
     13* Creation of a sister package tgext.wsgiapps <link> who's goal is to provide "one liners for all mayor wsgi apps" <link to wsgiapp announcement> 
    814* Updated wiki 20 doc to improve some recent issues, typos and more. 
    9 * New WSGIAppController which provide a very simple way of mounting preexisting wsgi apps, it comes with a sister package tgext.wsgiapps <link> who's goal is to provide "one liners for all mayor wsgi apps" <link to wsgiapp announcement> 
     15* Updated url function to more natively handle unicode parameters 
     16* Updated beaker to work on python 2.4 
    1017 
    1118To download 2.0 beta 3, simply follow the instructions here: